Subject: Re: bug#48472: [FR] A small suggestion for repeat-mode

From: Gustavo Barros <[email-masked]>
Date: Tue, 18 May 2021 08:14:08 -0300

Hi Juri,

On Mon, 17 May 2021 at 18:24, Juri Linkov <[email-masked]> wrote:

>> But I write to give one small suggestion to the mode.  Namely that an
>> option be added to make the transient keymap expire after a 
>> (configurable)
>> timeout.  The idea is that the repeating last key press is very handy
>> indeed, but if you happen to stop at a repeatable key, stop some 
>> "idle"
>> time (thinking, reading, whatever) and then hit the key again, it 
>> might not
>> be what was actually meant.  In other words, besides 
>> `repeat-exit-key',
>> some idle time after the last repeatable key may serve as a good 
>> indicator
>> for breaking the repetition chain.
>
> Thanks for the suggestion, this is a very good idea.
>

I'm glad you liked it.  And thanks for answering.

>
> An "exit function" returned by `set-transient-map' is a clever thing,
> without such returned function it would be more complicated to 
> implement.
> I quickly tried it out, and it works indeed.
>

We have to thank whoever put it there.  And it seems to be there out of 
design and foresight.  As far as my grepping went (not that thorough), I 
didn't find an instance of usage of this return value in Emacs' code 
base as of yet.

>
> A new user option could be named `repeat-exit-timeout'.
> 

Sounds good to me.  And, I'm not sure I should be reading between the 
lines of your answer, but I could not avoid it, so I'll be forthcoming. 
I've gone as far as I'm allowed to.  I'd be happy to offer a patch, but 
no papers...

Best,
Gustavo.